        Here is the function of the diodes and pull up or pull down
resistors (for both the TH-25AT and the TH-45AT unless otherwise
specified):
 
D4      selects the display type.
        installed:      channel display
        removed:        normal frequency display
 
        You probably don't want to install this.
 
        R6 is the pullup resistor for D4.  Do not remove it, so that
        if D4 is removed, pin 44 of IC2 will be properly pulled up.
 
D3      selects VHF or UHF.
        installed:      VHF
        removed:        UHF
 
        You definitely don't want to change this!
 
        R7 is the pullup resistor for D3.  Do not remove it, so that
        if D3 is removed, pin 45 of IC2 will be properly pulled up.
 
R25     selects automatic offset selection.
        installed:      automatic offset selection enabled.
        removed:        automatic offset selection disabled.
 
        R25 seems to have no effect on the TH-45AT.
 
R23,27  frequency selection step size.
 
        Frequency selection step sizes is only known for TH-45AT.
 
        R23     R27     frequency selection step sizes:
        ---     ---     --------- --------- ---- ------
        out     out      5 and 10   kHz
        in      out      5 and 25   kHz (TH-45AT default)
        out     in       5 and 12.5 kHz (author's preference)
        in      in      10 and 20   kHz
 
        R23 probably has no effect on the TH-25AT.  I never checked.
        I was quite satisfied with the 5 and 10 kHz step sizes for
        the TH-25AT.  I never tried changing R27 to see what would
        happen.
 
R24     ? something with the CTCSS tone ?
        installed:      When a TX offset is selected, the CTCSS tone
                        is always transmitted.  The TONE button does
                        not work correctly.  When the TONE button is
                        depressed, the display goes to 430.000 c, and
                        nothing seems to work.  (A "c" is displayed
                        in the channel number position.)  The action
                        of the TH-25AT is unknown.
        removed:        CTCSS tone selection works correctly.  Both
                        the TH-25AT and the TH-45AT are delivered
                        this way.
 
        You probably don't want to install this.
 
R19     function unknown.
        R19 is not installed in the European version.
 
R20     function unknown.
        R20 is not installed in the European version.
 
R21     function unknown.
        R21 is not installed in the European version.
 
        R19, R20, and R21 are all in parallel.  Thus, if any of them
        is installed, it is like all of them are installed.
 
R26     function unknown.
        R26 is installed in the European version.
 
On the TH-25AT:
 
R22,28  select RX and TX frequency range.
 
        R22     R28     RX range        TX range
        ---     ---     -- -----        -- -----
        in      out     144-148         141-163         (USA default)
        in      in      144-148         144-148
        out     out     100-200         100-200         (only where
                                                        your PLL
                                                        locks up.)
        out     in      142-151         ???-???
 
R18     exact function unknown.
        installed:      as delivered in USA.
        removed:        TX disabled from 146-148.
 
        The RX and TX frequency range based on R22 and R28 are
        unknown if R18 is removed.
 
On the TH-45AT:
 
R18,28  select RX and TX frequency range.
 
        R18     R28     RX range        TX range
        ---     ---     -- -----        -- -----
        in      out     440-450         440-450
        in      in      438-450         438-450         (USA default)
        out     out     200-500         200-500         (only where
                                                        your PLL
                                                        locks up.)
        out     in      215-230         215-230?        (PLL won't
                                                        lock up.)
 
R22     TX offset selection
        installed:      1.6 MHz offset (perhaps for 220, or Europe)
        removed:        5   MHz offset (USA default)
 
---------------------------------------------------------------------
 
        PLL adjustment
        --- ----------
 
        I have found a quick and easy way to retune your PLL (in the
TH45-AT) with a minimum of test equipment.  All you need is a scope
and a small tuning tool.  First, take off the battery pack holder
plate.  Then, remove the silvery sticker covering the tuning pot
access holes.  If the radio is positioned on its back, with the top
folded over so that the touch tone pad is also facing down, the test
point you want (TP1) is on the bottom half of the radio, near the
center (left to right), and close to the battery; the tuning pot you
want (TC1) is on the bottom, and closest to the PTT switch.  Under no
circumstances change the tuning of TC51.  This is used to calibrate
the output of the radio with the display the radio is giving; you
don't want to mess with it.  Once again, the Service Manual makes it
very clear where these points are, if you are having trouble with my
descriptions.  On with retuning the PLL.  With the radio on, and
receiving, monitor the voltage and the waveform on test point TC1. 
Tune the radio DOWNWARDS in frequency until the PLL unlocks.  Note
that the radio will beep when this happens, and the waveform on TP1
will change.  Tune the radio about 1 MHz higher so that the PLL locks
up again, and note the voltage on the testpoint, TP1.  Now, tune the
radio to the LOWEST frequency that you want to be able to receive. 
(Be very careful when you adjust TC1.  If you are not careful, you
could break TC1 loose.  This will cause your radio to have
microphonics.  Mechanical vibrations will change the value of this
capacitor, and thus change the tuning on the PLL.  If you encounter
this problem, you can repair it by dripping wax through the small
hole onto TC1, or by replacing TC1.  It is of course better not to
break it in the first place.)  Adjust TC1 until the voltage on the
test point TP1 is the same as what was noted earlier.  Button the
radio back up, and you're done. You will not be able to tune the PLL
to any range you want.  There are limits.  On my radio, I have been
able to retune the radio so that I can recieve from 439.2-468.6 MHz
with a set of batteries fresh out of the charger.  The tuning range
will probably diminish as the battery voltage decreases.  I have not
retuned the PLL on my 2m HT, but I'd imagine the same technique will
prove fruitful.
 
---------------------------------------------------------------------
 
In the rare case that original ideas   Kenneth J. Hendrickson    N8DGN
are found here, I am responsible.      Owen W328, E. Lansing, MI 48825
Internet: kjh@pollux.usc.edu           UUCP: ...!uunet!pollux!kjh
