The Complete (and Accurate) Guide to Undocumented Features
        of the Kenwood TH-78a Handheld Transceiver

                        8 Dec 1993

WARNING: This information is furnished without guarantee or warranty. 
Working with surface-mount diodes is delicate work.  Or as Eric Williams
(wd6cmu@netcom.com) so eloquently says "Lawyer bait: If you screw up your
radio, it's your own damn fault, don't blame me. (But it worked on mine.)" 
These modifications (mods) may or may not work on your particular unit
according to Kenwood.  I certainly accept no responsibility for your
handiwork or your transmitting on frequencies that you're not allowed to. 
You may have good reasons to transmit outside of ham bands as I do during
search and rescue work (typically on CLEMARS, NLEMARS, and CALCOORD).

----------------------------------------------------------

Email me at msattler@netcom.com if you see any omissions or mistakes.  I'll
attempt to have the latest version of this file placed at the following mod
servers when all is done:

ham.eetech.mcgill.ca            /pub/ham-radio/mods
 (aka atlas.eetech.mcgill.ca)
bubba.business.uwo.ca           /mods/
garfield.catt.ncsu.edu          /pub/hamradio/HAM_MODS
kilroy.jpl.nasa.gov             /pub/hamradio/Mods
ftp.geo.brown.edu               /pub/hamradio/rigmods

And one mail server:

pcserver@novell.business.uwo.ca
    examples of main body email requests are as follows:
        HELP
        SENDME RADIO MODS
        SENDME TH215 MODS
        SENDME ALLBAND MODS

----------------------------------------------------------

Thanks be to all those who helped me, including George_Lin@mindlink.bc.ca,
Brendan_Hoar@notes.pw.com, gwalsh@kilroy.Jpl.Nasa.Gov, rfc@allegra.att.com,
wd6cmu@netcom.com

----------------------------------------------------------
                 Contents of this file

What is a "new" TH-78a?
Basics of modifying the Kenwood TH-78a
Potential case design flaw
Mutually exclusive mods
The "beyond MARS" mod
The "CAP/MARS" mod
The "extended receive" mod
The "cross-band repeat" mod
Toggle CALL button function
Toggle SHIFT/SPLIT mode
Observations on post-mod performance
Cloning
Game Mode

----------------------------------------------------------
                 What is a "new" TH-78a?

Kenwood says that any TH-78a with a serial number greater than 405xxx is
considered a "new" TH-78a.  I've not authoritatively determined the
difference between the old and new models, but the mods differ, so it's
worthwhile to check the serial number.  The ARTSCI 5A techmod book calls
this the "Later Model (with green jumpers)".  I use the terms "early model"
and "late model" throughout this document.

----------------------------------------------------------
         Basics of modifying the Kenwood TH-78a

To open the radio, follow the instructions on page 64 of the manual. 
(Unscrew four screws and break apart the radio halves.)  The two TX/RX busy
indicators (LEDs) have rubber seals placed over them.  These have a
tendency to fall off when opening or closing the radio.
 
All position references in this document assume that you are looking at the
CPU board with the rotary encoders and TX/RX busy indicators at the top.
If you have installed the ME-1 EEPROM, I recommend that you temporarily
remove it to facilitate access to the diodes.
 
You'll see a brass shield about one centimeter square covering the
processor chip and the surface-mount diodes on the back half of the radio. 
De-solder the shield's four corners and remove it.  (I used an right angle
surgical tweezers in conjunction with the pin-point soldering iron to lift
the brass shield.)

Uncovered are the processor (which we ignore) and six surface-mount diodes,
numbered sequentially from one through six (D1 - D6), top to bottom.  These
are about one millimeter wide; remember the note about skill and finesse. 
New model radios also have two large loops of green wire, numbered one
through two (W1 - W2), bottom to top.

You'll need a pinpoint-tip soldering iron and some braid to wick away the
solder before you lift out the diode.  Alternatively, Rich Garcia
(n2czf@wt3v.nj.usa) suggests leaving the diode in place.  "I found if you
BRIEFLY touch the iron to the right side lead while gently pulling up on
the SMC diode it should completely come off without needing to apply heat
to the other side and further risk board damage."

After you perform some or all of the mods listed below, replace the brass
shield and re-assemble the radio.  Then reset the processor (as documented)
and re-enter any frequencies into memory.

----------------------------------------------------------
               Potential case design flaw

>From wb1e@k1rqg.me.usa.na (which no longer exists):

In the course of performing mods on my Kenwood TH-78a dual band handheld,
I've discovered a potential flaw in the case design.  While handling my walkie
one day (after the mods were done), the display went blank and I could not
turn the radio back on.  With the radio split in half again, I could turn the
radio back on but discovered all the memories were erased.  The cause turned
out to be some component pins on the front face coming in contact with the
square bodies of the two volume/channel/squelch switches, when the case is
screwed back together snuggly.  I placed small strips of electrical tape on
the sides of the switches to insulate, and reassembled; problem solved.  Now
I have to reprogram the darn thing....

----------------------------------------------------------
                  Mutually exclusive mods

Some of these mods are reputed to be mutually exclusive.  You must choose
one of  the following levels of performance:

The "beyond MARS" mod - gets you the widest tx/rx (D3/W1)
The "extended receive" mod (D5) - 

plus

The "cross-band repeat" mod - (D4)

There is no mods that manipulate diodes D1 or D2 (I've seen it suggested
elsewhere that this is toggles the USA/Europe-ness).

----------------------------------------------------------
                  The "beyond MARS" mod

This mod provides the widest possible range of tx/rx.  The mother of all
TH-78a mods.

To mod (early model): remove diode D5 only.

To mod (late model): remove diode D3 and cut wire W1.  D5 has priority over
D3, so if you've already made the mods for the old model (which included
the removal of D5) you must resolder D3 into D5.

Yields RX 50-179.995, TX 136-179.995, RX 300-399.995, RX 400-511.995, TX
400-511.995, RX 800-999.995.

To use: buttons operate the same way as described in the "extended receive"
mod, except that you can transmit on a much wider range.

----------------------------------------------------------
                      The "CAP/MARS" mod

To mod (early model): remove D6 only.

To mod (late model): not known.

Yields RX 118-173.995, TX 142-151.995, RX 400-511.995, TX 425-454.995.

----------------------------------------------------------
                The "extended receive" mod

This is the mod that's usually given to hams to pacify them (the beyond
MARS mod is closely guarded).

To mod: remove diode D5.

To use: press 'F' for one second and then pressing the Band button will
switch the UHF VFO to a 800-999.995 MHz band and the VHF VFO to a
300-399.995 MHz band.  The regular VHF VFO can now receive down to 50 Mhz.

----------------------------------------------------------
               The "cross-band repeat" mod

Allows you to... (WHAT!?!)

To mod: remove diode D4.

To use: press 'F' for one second, then '0'.  Repeat to disable.  The MHz
dot will flash when in repeater mode.
 
----------------------------------------------------------
              Toggle CALL button function

Press SHIFT during power-up This is described in the manual, but the
documentation is not complete.  The TH-78A can operate in two modes: In
SPLIT mode, non-standard offsets (i.e. split frequencies) are supported,
but the default offset is not programmable. In SHIFT mode, non-standard
offsets are not allowed, but the default offset is programmable. To select
the default offset, press F for 1 second, then SHIFT.  See p. 30 of the
manual for details on changing the default offset.

----------------------------------------------------------
               Toggle CALL button function

Press CALL during power-up. The CALL button can operate in one of two
modes.  In the default mode (CALLSW), it switches between the call channel
and the last memory channel (if in memory recall mode) or last frequency
(if in VFO mode).  After toggling the CALL button functionality (VMC), it
will switch from the VFO to the last memory channel and then back to the
CALL channel.

----------------------------------------------------------
           Observations on post-mod performance

Rich Garcia (n2czf@wt3v.nj.usa) observes "all original functions have
maintained the same which is great.  Aircraft band which was accessible
before the mod remains with the same characteristics.  It seems that
VHF-High band has improved a bit on sensivity where it was dead as a dog
before the mod (above 155.000MHz) but the 162.000 MHz band where weather
radio is is still a bit deaf for reception at any distance but about 20
Miles.  This depends on your (or my) terrain and transmitter output power.

"On UHF all public safety frequencies up to about 500 MHz seem to come in
well but sensivity greatly drops from there (we really can't ask for more).
Frequencies can be programed in up to the 920MHz ham band but I have no way
of measuring sensivity.  800MHz works but the signals are very weak, you
must be near the transmitter for reception.  Assuming you are in the town
or city where the transmissions originate it should work.

"Transmit is enabled up to and incl. 500MHz but after testing this on a
frequency counter I find that a signal is only generated to about 490 MHz,
even though the trans. LED shows output in the higher frequencies.

"Crossband repeat seems to work fine but the audio is unacceptable for use,
BE AWARE the radio gets HOT!  Prolonged use or use on a busy frequency
would not be recommended.  Also remember this is a dual band HT please use
a proper antenna while in this mode to avoid a high SWR, we should all know
better... Right?"

----------------------------------------------------------
                          Cloning

The TH-78a's memory can be copied from one TH-78a to another TH-78a
entirely through radio waves "over the air" (i.e. without cables or other
special equipment).  Theoretically, this could be done via repeaters,
although I've never heard it done.  Allegedly this requires a mod that
includes removal of D5 or D6, but I haven't researched it.

Cloning is a real boon to groups that want a bunch of radios to contain the
same memories, such as amateur radio clubs, search and rescue units, and
people too lazy to program their radios.  Of course, given that the ME-1
memory expansion unit has 250 memories, laziness is understandable :-)

(1) Set both radios to the same frequency.

(2) Activate both radios by pressing the '0' key while turning the power
on. The radios will display the word "clone".

(3) Now, click the PTT button of the "master" radio. The radio will
transmit in the economy low power mode.  This may take about 4 minutes for
fifty channels, or 20 minutes for the 250-memory ME-1.  When the data has
been transferred, both radios will revert back to their original frequency.
 (It is recommended that a dummy load be used to prevent unwanted
interference.)

(4) Turn both radios off and then on again.  The slave is now a
mirror-image of the master radio.

----------------------------------------------------------
                         Game Mode (NOT EDITED)

There is also a couple of arcade type games on the TH-78A. To start the
game you pres and hold [PTT] and [M] keys while turning the unit on. The first
game is a follow me type game. The radio beeps and shows a sequence of
numbers flashing on the screen. You have to match the same sequence on the
tone pad. Each time the sequence gets longer by one number. You have to
keep remembering the sequence as one gets added each time. Once you get to
a certain high score on that game, it breaks into a poker type game. To exit
the game mode press the LAMP key at any time. The receiver still works in
the game mode and you can adjust volume but no other features.

                                                             

ORIGIN: aviator@athena.mit.edu (who no longer exists), who credits
james@brokaw.lcs.mit.edu for "much of this".

To enter the game mode press M and PTT during power-up.  Be careful not to
accidentally reset the memory, which happens with M + power-up.
 
To exit the game mode at any time, press the LAMP key.  It is not possible
to change the volume, lamp, or frequency settings while in game mode.  The
top part of the display will show  H.00, which represents the high score.
The lower part shows a scrolling message, "PRESS ANY KEY".  Pushing any key
starts a "Follow Simon" type game.  The display will briefly show one of
the characters '1', '2', '3', or 'F'.  Press the corresponding key.  The
game consists of repeating the displayed character sequence, whic h
increases by one character each round.

After you "win" the Simon memory game by getting correctly entering a
sequence of twenty characters, the next game is a draw poker game.  The way
it works is that you choose your bet (from 1 to 10) by pressing 2 to
increment the bet and 5 to decrement the bet.  Then, press F to deal the
five cards.  The face value of the cards is displayed, and the suits can be
seen at any time by holding down the PTT key.  Any number of cards may be
discarded, and to select (or deselect) a card for discarding, press the
keys 1, 2, 3, 4, or 5.  If a card is selected for discard, it is displayed
"face-down".
 
Press F again to draw new cards.  Your new cards will be displayed, and
then if your hand is 2-pair or better, the screen will show the rank of
your hand on the left (2P for 2-pair, 4K for four-of-a-kind, etc.).  On the
right the pay- off for that hand will be displayed.  Your bet is multiplied
by the pay-off factor,and the resulting pile of cash is displayed in the
right hand side of the upper screen.  (The left hand side of the upper
screen contains your table stakes, which are initially 100 coins from
winning the Simon game.)
 
If you win the poker hand, pressing any key steps into the next stage.  If
you lose the poker hand, your bet is deducted from your stakes and you are
asked to start another poker hand.  In the next stage, you are asked
"TRYB/S" which means, "Do you want to try double-or-nothing in a guessing
game for Big or Small cards?"  Press F for yes, press TONE for no.  If you
say no, your winnings are credited into your stakes and you are asked to
start another poker hand.  If you say yes, then a single
shuffling/incrementing card is displayed on the left, and three stars are
displayed on the right.  You have to choose to go for either BIG or SMALL,
by pressing 2 or 5.  You can keep pressing 2 and 5 to change your mind. 
When you are ready, you must try to hit the F key to stop the rotating card
display, and the card will show, and you will either win, lose, or draw. If
you draw, you have to play big/small again, I think.  If you lose, your
winnings are gone and you can play poker again.  If you win, your winnings
doub le and you are asked whether you want to play big/small again.
 
The payoffs on the poker are set against you, odds-wise; the
double-or-nothing game includes a draw, so the odds are against the player
there unless you can time hitting the F key to win more than half the
rounds.  I haven't managed to do this, so I don't know if there is anything
beyond this, all I know is that when the table stakes are exhausted, you go
back to playing Simon again.



----------------------------------------------------------
* * * Stuff I haven't incorporated into this doc...

I've had one report that the TH-78A is capable of in-band full duplex
operation. I've been unable to repeat this on my unit, which only has the
CAP/MARS mod perform.  Confirmation of this feature would be appreciated.

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

FREQUENCY EXPANSION

(1) You can receive from 340 - 399.987 Mhz FM by removing chip diode D8 on the
ontrol unit. To access this function, press the [F] key for one second, and then
the [LOW] key. This toggles between AMATEUR, AIR band (AM) and 360 Mhz.
AM and FM modes are selected automatically, depending on frequency.

    ** Since "F" for a second and "Low" toggles the power output, I wonder **
                               *** Rich N2CZF ***

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

        Left VFO                        Right VFO
50.000-85.2x (with beep)                50.000-110.xxx (with beep)
85.2x-179.995                   110.xxx-179.995
300.00-399.975                  
400.000-511.9875                400.000-511.9875
                                800.00-999.9875

xxx is variable.  My guess is the beep is some sort of error notation of some 
kind, but what?  Someone, somewhere said 
it has something to do with the PLL...

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

RECEIVE                         TRANSMIT
---------------                 ---------------
                    VHF BAND
                    --------
50-135.995 (AM)                 (NA)
136-179.995                     136-179.995
300-399 (AM & FM)               (NA)
                    SUB-UHF
400-511.99                      400-511.99

                    UHF BAND
                    --------
400-511.99                      400-511.99
900-949.9875                    (NA)
                    SUB-VHF
50-179.995 (FM)                 136-179.995

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

PERSONAL NOTES:
I found that marine weather reports at 162.40MHz in my area were received much
better on the VHF-SUB band, than on the VHF band.  Possible hole?

If you are having problems with intermod, try switching BANDS (ie. USING the
SUB-VHF rather than the VHF etc.)

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

Cellular Phones are in the 870-890 range, but the frequency increments are
every 30kHz.  The TH78A will only increment in 25kHz steps at this frequency
range, so the exact Cellular channel frequency cannot be tuned in (most of the
time).

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

ANSWERBACK FUNCTION (during paging reception)
---------------------------------------------
Hold down [MHz] key and switch power ON to turn this function ON or OFF.

300 MHz AM/FM SWITCHING
-----------------------
Hold down [VFO] key and switch the power ON to switch between AM and FM
reception.

CHANNEL DISPLAY MODE
--------------------
Hold down [3] key and switch the power ON.  Channels are displayed by number
instead of frequency.  (NOTE: this function only works when Alpha-Numeric
memory is enabled)

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

GAMES (Available without any modifications)
--------------------------------------------------
Hold down the [M] and [PTT] keys and switch the power ON.
(Be very careful the PTT is depressed or else a memory reset will occur.)

1) Play the memory game.
The radio will beep and display one of the following characters: "1, 2, 3, F"
(top row of buttons).  Radio starts with one character and adds a new one on
after every round until 20 characters are reached.  You must press the keys in
the same sequence they are displayed.  When you can follow the radio for 20
characters, then you will win 100 coins and enter the poker game.
(Note: I am terrible at this game, so I cheated by writing down the character
sequence on paper.)

2) Poker game.  (Much more interesting than the first game, IMHO)
Place the bet (1 to 10).
Increase the bet with the up key [2], decrease the bet with the down key [5].
Press [F] to deal the cards.
Cards are (2,3,4,5,6,7,8,9,+,J,K,Q,A  NOTE: 10 = "+")
Press [PTT] to see the suits.
Press numbers 1 through 5 to change the respective cards.
Press [F] to deal the new cards.

If you win any amount, you can bet for double or nothing.
Press [F] to play "BIG or SMALL".
Press [LOW] to keep your winnings.

BIG or SMALL
------------
A random card will be chosen.
Push [2] (big) if you think this card is going to be larger than 8.
Push [5] (small) if you think this card is going to be less and 8.
(if an 8 is drawn, then a tie occurs, and you neither win nor lose)
Press [F] to draw the random card.
You either double your winnings or lost it all.

Press [F] to continue playing Big or Small.
Press [LOW] to keep winnings and continue playing poker.

Push the [LAMP] key to exit the game mode.

Note: While in game mode, receive functions still operate!

* * * * * * * * * * * * * * * * * * * * * * * * * * * *

Sample Channels: Press DUAL during power-up Programs some sample
   frequencies in VHF and UHF memory channels (it's a pain to undo the
   sample programming).


-----------------------------------------------------------------------------
Michael S. Sattler         msattler@netcom.com        +1 (415) 621-2903
Digital Jungle Software    Encrypt now; ask me how.   (finger for PGP key)

               All that is required for evil to triumph is
                for {wo}men of good will to do nothing.
